Skip to main content
GET
List current SERFF TOI/sub-TOI combinations

Authorizations

Authorization
string
header
required

Effective API key. Send Authorization: Bearer sk-eai-...

Query Parameters

state
string
Pattern: ^[A-Z]{2}$
businessType
enum<string>
Available options:
Property & Casualty,
Life, Accident/Health, Annuity, Credit
toiId
string

Use the source parent ID to find subtypes, including uncoded categories.

Maximum string length: 30
Pattern: ^\d+$
toiCode
string
Maximum string length: 100
Pattern: ^[A-Z0-9]+(?:\.[A-Z0-9]+)*(?:\/[A-Z0-9]+(?:\.[A-Z0-9]+)*)*$
subToiCode
string
Maximum string length: 100
Pattern: ^[A-Z0-9]+(?:\.[A-Z0-9]+)*(?:\/[A-Z0-9]+(?:\.[A-Z0-9]+)*)*$
electronicEnabled
enum<string>

Omit to include enabled and disabled combinations.

Available options:
true,
false
limit
integer
default:50

Maximum number of items to return (1-200).

Required range: 1 <= x <= 200
cursor
string

Opaque nextCursor from this operation. Repeat every other query parameter unchanged; a cursor from a different query returns invalid_cursor.

Required string length: 1 - 8192

Response

One page of current combinations.

combinations
object[]
required
nextCursor
string | null
required

Cursor for the next page, or null on the last page.